Module java.desktop
Package javax.print.attribute.standard

# Class NumberOfInterveningJobs

java.lang.Object
javax.print.attribute.IntegerSyntax
javax.print.attribute.standard.NumberOfInterveningJobs

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `PrintJobAttribute`

    public final class NumberOfInterveningJobs
    extends IntegerSyntax
    implements PrintJobAttribute

Class `NumberOfInterveningJobs` is an integer valued printing attribute that indicates the number of jobs that are ahead of this job in the relative chronological order of expected time to complete (i.e., the current scheduled order).

IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`NumberOfInterveningJobs​(int value)` | Construct a new number of intervening jobs attribute with the given integer value.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object object)` | Returns whether this number of intervening jobs attribute is equivalent to the passed in object.
`Class<? extends Attribute>` | `getCategory()` | Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` | `getName()` | Get the name of the category of which this attribute value is an instance.

### Methods declared in class javax.print.attribute.IntegerSyntax

`getValue, hashCode, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NumberOfInterveningJobs

public NumberOfInterveningJobs​(int value)
Construct a new number of intervening jobs attribute with the given integer value.

Parameters:
  `value` - Integer value
Throws:
  `IllegalArgumentException` - if `value` is negative

## Method Details

### equals

public boolean equals​(Object object)
Returns whether this number of intervening jobs attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not `null`.
2. `object` is an instance of class `NumberOfInterveningJobs`.
3. This number of intervening jobs attribute's value and `object`'s value are equal.

Overrides:
  `equals` in class `IntegerSyntax`
Parameters:
  `object` - `Object` to compare to
Returns:
  `true` if `object` is equivalent to this number of intervening jobs attribute, `false` otherwise
See Also:
  `Object.hashCode()`, `HashMap`

### getCategory

public final Class<? extends Attribute> getCategory()
Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class `NumberOfInterveningJobs`, the category is class `NumberOfInterveningJobs` itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  printing attribute class (category), an instance of class `java.lang.Class`

### getName

public final String getName()
Get the name of the category of which this attribute value is an instance.

For class `NumberOfInterveningJobs`, the category name is `"number-of-intervening-jobs"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  attribute category name